
import 'reflect-metadata';

/**
*  polyfill location
*/
(global => {
	if(!global.location.origin){
		const location:any = global.location;
		const {protocol, hostname, port} = location;
		location.origin = `${protocol}//${hostname}${port? ':'+port : ''}`;
	}
})(window);

if(process.env.NODE_ENV!=='production'){
	Object.assign(window,{
		_PREFIX_ : 'tui',
		_DEV_ : true
	});
}
